"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_material_ripple_1 = tslib_1.__importDefault(require("react-native-material-ripple"));
/**
 * ? Local Imports
 */
const GooglePlayButton_style_1 = tslib_1.__importStar(require("./GooglePlayButton.style"));
const GooglePlayButton = ({ style, text, solid, outline, gradient, textStyle, textColor = "#00865f", outlineStyle, backgroundColor = "#00865f", onPress, ...rest }) => {
    const setSolidStyle = () => {
        return GooglePlayButton_style_1._solidStyle(backgroundColor);
    };
    const setOutlineStyle = () => {
        return [GooglePlayButton_style_1.default.outlineStyle, outlineStyle];
    };
    const selectStyle = () => {
        if (solid)
            return setSolidStyle();
        else if (outline)
            return setOutlineStyle();
        else if (gradient)
            return null;
        else
            return setSolidStyle();
    };
    const selectTextStyle = () => {
        if (solid)
            return GooglePlayButton_style_1._solidTextStyle(textColor);
        else if (outline)
            return GooglePlayButton_style_1._outlineTextStyle(textColor);
        else
            return GooglePlayButton_style_1._solidTextStyle(textColor);
    };
    return (<react_native_material_ripple_1.default onPress={onPress} rippleColor="#000" rippleContainerBorderRadius={5} style={[GooglePlayButton_style_1.default.container, selectStyle(), style]} {...rest}>
      <react_native_1.Text style={[(GooglePlayButton_style_1.default.textStyle, textStyle), selectTextStyle()]}>
        {text}
      </react_native_1.Text>
    </react_native_material_ripple_1.default>);
};
exports.default = GooglePlayButton;
//# sourceMappingURL=GooglePlayButton.js.map